# This file is part of the FreeType project.

LIBDIR = lib
TESTDIR = test
TOOLSDIR = tools/ttf2bdf

all: ttlib tttest tttools

# we can't use the target names 'lib', 'test', etc.
# because make will believe that the directories are
# the targets and are up-to-date! Grrr... >:-(

ttlib:
	$(MAKE) -C $(LIBDIR) all

tttest:
	$(MAKE) -C $(TESTDIR) all

# Right now, there is only one tool in the FreeType distribution
tttools:
	$(MAKE) -C $(TOOLSDIR) all

clean:
	$(MAKE) -C $(LIBDIR) clean
	$(MAKE) -C $(TESTDIR) clean
	$(MAKE) -C $(TOOLSDIR) clean

distclean:
	$(MAKE) -C $(LIBDIR) distclean
	$(MAKE) -C $(TESTDIR) distclean
	$(MAKE) -C $(TOOLSDIR) distclean
	$(RM) config.cache config.log config.status Makefile ft_conf.h

# end of Makefile.in
